Name:       saxpath
Version:    1.0
Release:    %mkrel 6
Summary:    Simple API for XPath

Group:      Development/Java 
License:    Saxpath
URL:        http://sourceforge.net/projects/saxpath/
Source0:    http://downloads.sourceforge.net/saxpath/saxpath-1.0.tar.gz
Source1:    %{name}-%{version}.pom
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

BuildRequires:  ant
BuildRequires:  java-rpmbuild
BuildRequires:  ant-junit
Requires:       jpackage-utils

BuildArch:      noarch

%description
The SAXPath project is a Simple API for XPath. SAXPath is analogous to SAX
in that the API abstracts away the details of parsing and provides a simple
event based callback interface.

%package javadoc
Summary:    Javadoc for saxpath
Group:      Development/Java 
Requires:   jpackage-utils

%description javadoc
Java API documentation for saxpath.

%prep
%setup -q -n %{name}-%{version}-FCS

find -type f -name "*.jar" -exec rm -f '{}' \;

%build
mkdir src/conf
touch src/conf/MANIFEST.MF

ant

# fix rpmlint warings: saxpath-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/saxpath/**/*.css
for file in `find build/doc -type f | grep .css`; do
    %{__sed} -i 's/\r//g' $file
done

%install
# install jar
install -dm 755 $RPM_BUILD_ROOT/%{_javadir}
cp -p build/saxpath.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}.jar

#install pom
install -dm 755 $RPM_BUILD_ROOT/%{_mavenpomdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-saxpath.pom

#depmap entry
%add_maven_depmap 

# install javadoc
install -dm 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}
cp -a build/doc/* $RPM_BUILD_ROOT/%{_javadocdir}/%{name}/

%check
ant test

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files -f .mfiles
%{_javadir}/*

%files javadoc
%{_javadocdir}/*




%changelog
* Tue Dec 10 2013 joequant <joequant> 1.0-6.mga4
+ Revision: 556139
- fix maven depmap

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 1.0-4.mga4
+ Revision: 461052
- remove ant-nodeps and ant-trax from buildrequires

* Mon Jan 14 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 381762
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 dmorgan <dmorgan> 1.0-2.mga1
+ Revision: 39957
- imported package saxpath

